Subject: Re: bug#30879: Commit bc499b113 broke guix on [email-masked], improper <operating-system> field initialization

From: Eric Bavier <[email-masked]>
Date: Thu, 29 Mar 2018 12:06:45 -0500

On Thu, Mar 22, 2018 at 05:19:04PM +0100, Ludovic Courtès wrote:
> Hello,
> 
> Eric Bavier <[email-masked]> skribis:
> 
> > Oh, so it loks like .go files from the system-installed guix are being
> > picked up:
> >
> > 53692 openat(AT_FDCWD, "/usr/local/lib/guile/2.0/site-ccache/gnu/system.go", O_RDONLY|O_CLOEXEC) = 10
> >
> > I hadn't expected that, but I suppose it makes sense.  Running make
> > under ./pre-inst-env does not help.
> 
> From my Guix build and source tree, I see this:
> 
> --8<---------------cut here---------------start------------->8---
> $ rm gnu/system.go
> $ ./pre-inst-env strace -o log guile  --no-auto-compile -c '(use-modules (gnu system))'
> ;;; note: source file /home/ludo/src/guix/gnu/system.scm
> ;;;       newer than compiled /run/current-system/profile/lib/guile/2.2/site-ccache/gnu/system.go
> ;;; note: source file /home/ludo/src/guix/gnu/system.scm
> ;;;       newer than compiled /run/current-system/profile/lib/guile/2.2/site-ccache/gnu/system.go
> ;;; note: source file /home/ludo/src/guix/gnu/system.scm
> ;;;       newer than compiled /run/current-system/profile/lib/guile/2.2/site-ccache/gnu/system.go
> $ grep open.*gnu/system.go log
> $ echo $?
> 1
> --8<---------------cut here---------------end--------------->8---
> 
> Don’t you get a similar message?

No, I get

--8<---------------cut here---------------start------------->8---
$ grep open.*gnu/system.go log
openat(AT_FDCWD, "/usr/local/lib/guile/2.0/site-ccache/gnu/system.go", O_RDONLY|O_CLOEXEC) = 5
$ echo $?
0
--8<---------------cut here---------------start------------->8---

-- 
Eric Bavier, Scientific Libraries, Cray Inc.